Subject: Re: [PATCH 6/6] pseries: eliminate global var

From: Nathan Lynch <[email-masked]>
Date: Wed, 8 Aug 2007 20:02:24 -0500

Linas Vepstas wrote:
> On Wed, Aug 08, 2007 at 04:57:14PM -0500, Nathan Lynch wrote:
> > Linas Vepstas wrote:
> > > +
> > > +#ifdef CONFIG_PPC_PSERIES
> > > +extern int pSeries_nvram_init(void);
> > > +extern int nvram_write_error_log(char * buff, int length,
> > > +					 unsigned int err_type, unsigned int err_seq);
> > > +extern int nvram_read_error_log(char * buff, int length,
> > > +					 unsigned int * err_type, unsigned int *err_seq);
> > > +extern int nvram_clear_error_log(void);
> > > +#endif /* CONFIG_PPC_PSERIES */
> > 
> > Declarations need not be #ifdef'd.
> 
> Ah, I thought that would be cleaner ... should I resubmit,
> the patch, or does it matter that much?

FWIW I'd prefer you drop that hunk and resubmit; it's needless churn
that can only cause build problems.